/* CSS Reset */
/* 
	- The "margin" property changes the amount of space 
	between the "border" and it's surrounding elements. 
	This is commonly used to create space between elements.
	- Even though a "border" property of an element does 
	not have a value and is not visible in the browser, 
	it serves as a basis to create space between elements.
	- The "padding" property changes the amount of space 
	between the "border" and "content" of an element. 
	This is commonly used to position contents of an element.
	- All HTML */

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}


body {
	font-family: 'Open Sans', sans-serif;
}

nav	{

	/*shorthand property*/
	/*Applied padding to all sides*/
	/*Value is 12.8 pixels based on the root element*/
	/*Creates space from between the ul tag and the nav element*/
	padding: 0.8rem;
	margin-bottom: 2rem;
	border-bottom: 1px solid grey;
	list-style-type: none;
}

nav .nav, nav .nav-logo {
	margin: 0.5rem;
	/*margin-top: 0.5rem;
	margin-right: 0.5rem;
	margin-bottom: 0.5rem;
	margin-left: 0.5rem;*/

	/* changes elements to inline elements */
	display: inline;
}	

#intro {
	/* creates a space between the contents of the intro section and it's border */

	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	/* syntax for shorthand */
	/* 
		padding/margin: topvalue rightvalue leftvalue bottomvalue

		padding/margin: topvalue rightvalue left value bottomvalue
	 */

	/* aligns the text to center */
	text-align: center;
}

.header {
	/* best used when horizontally aligning text instead of using margin and padding */
	text-align: center;
}

#intro h2, #intro p {

	margin-bottom: 1rem;
}

#intro button {
	color: white;
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	/* creates a space between the button text and the border */
	padding: 1rem;
}

#succeed-info {
	padding: 2rem 10% 3rem;
}

#succeed-info h2 {
	/* creates a space between the header and the card section */
	margin-bottom: 1rem;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

#succeed-info .card {
	/* allows the cards to appear beside each other */
	display: inline-block;
	/* aligns the elements with the tallest element in line */
	/* this is used with "inline-block" */
	vertical-align: top;
	/* allows cards to have equal height that adjust with the content */
	min-height: 175px;
	width: 30%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

footer {
	padding: 0.7rem;
}

footer span {
	/* shorthand for left and right */
/*	margin: 0.5rem 0.5rem;*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

/* activity */
#pre-footer {
	background-color: #002540;
	color: white;
}

#pre-footer section{
	display: inline-block;
	vertical-align: top;
	text-align: center;
}

#pre-footer div{
	display: inline-block;
	vertical-align: top;
	width: 23%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
	vertical-align: bottom;
	margin-top: 0.5rem;
	margin-bottom: 0.5rem;
	padding: 0.7rem;

}